package pwc.taxtech.atms.vat.service.impl.report.functions;

import pwc.taxtech.atms.utils.FormulaResult;
import pwc.taxtech.atms.vat.dao.PeriodTemplateMapper;

import java.util.Map;

public class FormulaContext {
    private String projectID;
    private String reportTemplateGroupID;
    private String reportID;
    private String organizationID;
    private Integer period;
    private Integer year;
    private Boolean isYear;
    private String indexResultId;
    private Integer yearBeginPeriod;
    private Integer yearEndPeriod;
    private Boolean ifRound;
    private Boolean isValidation;
    private Boolean isDetailed;
    private Boolean isIndexAnalysis;
    private Boolean cacheHasIndexCode;
    private FormulaAgent formulaAgent;

    //     <summary>
//     如果BB公式在cache中取上期失败，是否去上期取
//     </summary>
    private Boolean ifCalcStackValue;
    //     <summary>
//     如果为99，则实时计算；如果为-1，则不用于判断是否实时计算；其他情况会在对应时机计算并保存
//     </summary>
    private Integer calculateStatus;
    private Map<String, FormulaResult> replaceSpecialCellFormulaDic;

    public String getProjectID() {
        return projectID;
    }

    public void setProjectID(String projectID) {
        this.projectID = projectID;
    }

    public String getReportTemplateGroupID() {
        return reportTemplateGroupID;
    }

    public void setReportTemplateGroupID(String reportTemplateGroupID) {
        this.reportTemplateGroupID = reportTemplateGroupID;
    }

    public String getReportID() {
        return reportID;
    }

    public void setReportID(String reportID) {
        this.reportID = reportID;
    }

    public String getOrganizationID() {
        return organizationID;
    }

    public void setOrganizationID(String organizationID) {
        this.organizationID = organizationID;
    }

    public Integer getPeriod() {
        return period;
    }

    public void setPeriod(Integer period) {
        this.period = period;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Boolean year) {
        isYear = year;
    }

    public String getIndexResultId() {
        return indexResultId;
    }

    public void setIndexResultId(String indexResultId) {
        this.indexResultId = indexResultId;
    }

    public Integer getYearBeginPeriod() {
        return yearBeginPeriod;
    }

    public void setYearBeginPeriod(Integer yearBeginPeriod) {
        this.yearBeginPeriod = yearBeginPeriod;
    }

    public Integer getYearEndPeriod() {
        return yearEndPeriod;
    }

    public void setYearEndPeriod(Integer yearEndPeriod) {
        this.yearEndPeriod = yearEndPeriod;
    }

    public Boolean getIfRound() {
        return ifRound;
    }

    public void setIfRound(Boolean ifRound) {
        this.ifRound = ifRound;
    }

    public Boolean getValidation() {
        return isValidation;
    }

    public void setValidation(Boolean validation) {
        isValidation = validation;
    }

    public Boolean getDetailed() {
        return isDetailed;
    }

    public void setDetailed(Boolean detailed) {
        isDetailed = detailed;
    }

    public Boolean getIndexAnalysis() {
        return isIndexAnalysis;
    }

    public void setIndexAnalysis(Boolean indexAnalysis) {
        isIndexAnalysis = indexAnalysis;
    }

    public Boolean getCacheHasIndexCode() {
        return cacheHasIndexCode;
    }

    public void setCacheHasIndexCode(Boolean cacheHasIndexCode) {
        this.cacheHasIndexCode = cacheHasIndexCode;
    }

    public Boolean getIfCalcStackValue() {
        return ifCalcStackValue;
    }

    public void setIfCalcStackValue(Boolean ifCalcStackValue) {
        this.ifCalcStackValue = ifCalcStackValue;
    }

    public Integer getCalculateStatus() {
        return calculateStatus;
    }

    public void setCalculateStatus(Integer calculateStatus) {
        this.calculateStatus = calculateStatus;
    }

    public Map<String, FormulaResult> getReplaceSpecialCellFormulaDic() {
        return replaceSpecialCellFormulaDic;
    }

    public void setReplaceSpecialCellFormulaDic(Map<String, FormulaResult> replaceSpecialCellFormulaDic) {
        this.replaceSpecialCellFormulaDic = replaceSpecialCellFormulaDic;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Boolean getIsYear() {
        return isYear;
    }

    public void setIsYear(Boolean isYear) {
        isYear = isYear;
    }

    public FormulaAgent getFormulaAgent() {
        return formulaAgent;
    }

    public void setFormulaAgent(FormulaAgent formulaAgent) {
        this.formulaAgent = formulaAgent;
    }
}
